DUMPKEYS(1)

NOM
dumpkeys – Copie des tables de conversion de clavier

SYNOPSIS
dumpkeys [OPTIONS]

DESCRIPTION

dumpkeys écrit sur la sortie standard le contenu actuel des tables de conversion du pilote de clavier, dans le format indiqué par keymaps(5).

À l'aide des différentes options, il est possible de contrôler le format de la sortie et d'obtenir d'autres informations provenant du noyau et des programmes dumpkeys(1) et loadkeys(1).

OPTIONS

-h --help
    Afficher le numéro de version du programme et un court message d’aide sur la sortie standard d’erreur du programme et quitter.

-i --short-info
    Afficher certaines caractéristiques du pilote de clavier du noyau. Les éléments affichés sont :

    La plage de codes de touche gérée par le noyau

        C’est une indication des valeurs pouvant être utilisées après le mot-clé keycode dans les fichiers de disposition des touches. Consulter keymaps(5) pour plus d’informations sur ces fichiers.

    Le nombre d’actions pouvant être attribuées à une touche

        C’est une indication du nombre d’actions différentes possibles avec une seule touche et en utilisant différentes touches de modificateur. Si cette valeur vaut 16 par exemple, il est possible de définir jusqu’à 16 actions différentes pour une touche combinée avec des modificateurs. Si cette valeur vaut 16, le noyau connait probablement quatre touches de modificateur qu’il est possible de presser en les combinant différemment avec la touche pour obtenir toutes les actions liées.

    Les plages de codes d’action gérées par le noyau

        Cet item fournit une liste de plages de codes d’action en notation hexadécimale. Ce sont les valeurs pouvant être utilisées du coté droit d’une définition de touche, c’est-à-dire les vv d’une ligne

            keycode xx = vv vv vv vv

        (consulter keymaps(5) pour plus d’informations sur le format des lignes de définition de touche). dumpkeys(1) et loadkeys(1) gèrent une notation symbolique qui est préférable à une notation numérique, car les codes d’action peuvent varier d’un noyau à l’autre, tandis que les noms symboliques demeurent habituellement les mêmes. Cependant, la liste de plages de codes d’action peut être utilisée pour déterminer si le noyau gère réellement tous les symboles connus de loadkeys(1) ou s’il existe certaines actions gérées par le noyau qui n’ont pas de nom symbolique dans votre programme loadkeys(1). Pour le savoir, il est possible de comparer la liste de plages avec la liste de symboles d’action, consulter l’option --long-info ci-après.

    Nombre de touches de fonction gérées par le noyau

        Cela indique le nombre de codes d’action pouvant être utilisés pour produire des chaines de caractère. Ces codes d’action sont traditionnellement reliés aux diverses touches de fonction et d’édition du clavier, et sont définis pour produire des séquences d’échappement standard. Cependant ils peuvent être redéfinis pour produire des lignes de commandes courantes, des adresses de courriel où n'importe quoi d'autre. En particulier, si le nombre de cet item est supérieur au nombre de touches de fonction et d’édition du clavier, il est possible d’avoir quelques codes d’action « de réserve » qui peuvent être reliés, par exemple, à des combinaisons AltGr-lettre pour produire quelques chaines utiles. Consulter loadkeys(1) pour plus de détails.

    Chaines de fonction

        Les définitions de touche de fonction actuelles peuvent être vues avec la commande

            dumpkeys --funcs-only

-l -s --long-info
    Cette option demande à dumpkeys d’afficher une longue liste d’informations. La sortie est la même qu’avec l’option --short-info suffixée avec la liste de symboles d’action gérées par loadkeys(1) et dumpkeys(1), en plus des valeurs numériques des actions.

-n --numeric
    Cette option fait que dumpkeys outrepasse la conversion de valeurs de code d’action par des notations symboliques et les affiche à la place dans un format hexadécimal.

-f --full-table
    Cela fait que dumpkeys omet toutes les heuristiques de raccourci (consulter keymaps(5)) et affiche les mappages de touche dans leur forme canonique. En premier, une ligne de plan de codage de touche décrivant les combinaisons de modificateurs actuellement définies est affichée. Puis, pour chaque touche, une ligne avec une colonne pour chaque combinaison de modificateurs est affichée. Par exemple, si le mappage des touches actuel utilise sept modificateurs, chaque ligne a sept colonnes de code d’action. Ce format peut être utile par exemple pour des programmes qui font un traitement ultérieur de la sortie de dumpkeys.

-Sforme  --shape=forme
    Modèles disponibles :

    2 sortie par défaut.

    4 une ligne pour chaque code de touche.

    8 une ligne pour chaque paire (modificateur, code de touche).

    16 une ligne pour chaque code de touche jusqu’à la première ligne vide (hole).

-1 --separate-lines
    Cela oblige dumpkeys à écrire une ligne par paire (modificateur, code de touche). Le mot plain est préfixé pour les codes de touche stricts.

-t --funcs-only
    Quand cette option est indiquée, dumpkeys affiche seulement les définitions de chaine de touche de fonction. Normalement, dumpkeys affiche les mappages de touche et les définitions de chaine.

-k --keys-only
    Quand cette option est indiquée, dumpkeys affiche seulement les mappages de touche. Normalement, dumpkeys affiche les mappages de touche et les définitions de chaine.

-d --compose-only
    Quand cette option est indiquée, dumpkeys affiche seulement les combinaisons de la touche Compose. Cette option est disponible seulement si le noyau prend en charge la touche Compose.

-cjeu_caractères  --charset=jeu_caractères
    Cela oblige dumpkeys à interpréter les valeurs de code de caractère selon le jeu de caractères spécifié. Cela affecte seulement la conversion des valeurs de code de caractère en noms symboliques. Actuellement, les valeurs autorisées pour jeu_caractères sont iso-8859-X, où X est un nombre entre 1 et 9. Si aucun jeu_caractères n’est indiqué, iso-8859-1 est utilisé par défaut. Cette option produit une ligne de sortie « charset "iso-8859-X" », indiquant à loadkeys(1) comment interpréter le plan de codage du clavier (par exemple, « division » est 0xf7 en iso-8859-1 mais 0xba en iso-8859-8).

-Cpériphérique  --console=périphérique
    Le périphérique de console affecté peut être indiqué en utilisant l’option -C (ou --console). Cette option ne gère qu’un seul nom de périphérique.

-v --verbose
    Afficher une sortie prolixe.

-V --version
    Afficher le numéro de version puis quitter.

FICHIERS

/usr/share/keymaps
    Le répertoire recommandé pour les fichiers de disposition des touches.

VOIR AUSSI
loadkeys(1), keymaps(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.